Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp
Interface JspMangler

All Known Implementing Classes:
  Jasper41Mangler, JspNameMangler

public interface JspMangler

This is an interface to the Mangler service that jspc needs to map JSP file names to java files. Note the complete lack of correlation with Jasper's mangler interface.

Method Summary
`java.lang.String` | `mapJspToJavaName(java.io.File jspFile)` map from a jsp file to a java filename; does not do packages
`java.lang.String` | `mapPath(java.lang.String path)` taking in the substring representing the path relative to the source dir return a new string representing the destination path

Method Detail

### mapJspToJavaName

    public java.lang.String mapJspToJavaName(java.io.File jspFile)

  map from a jsp file to a java filename; does not do packages

  Parameters:
    `jspFile` - file
  Returns:
    java filename

### mapPath

    public java.lang.String mapPath(java.lang.String path)

  taking in the substring representing the path relative to the source dir return a new string representing the destination path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.